%define upstream_name    DBIx-Class-TimeStamp
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    DBIx::Class extension to update and create date and time based fields
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::DynamicDefault)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Time::Warp)

BuildArch: noarch


Requires: perl(DBIx::Class::DynamicDefault)

%{?perl_default_filter}

%description
Works in conjunction with InflateColumn::DateTime to automatically set
update and create date and time based fields in a table.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-13.mga9
+ Revision: 1808676
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-12.mga8
+ Revision: 1503664
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-11.mga7
+ Revision: 1282608
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.140.0-10.mga7
+ Revision: 1163989
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.140.0-9.mga7
+ Revision: 1159028
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1025470
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 943915
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 740279
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.140.0-5.mga5
+ Revision: 735552
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 510475
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 365127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 40345
- mageia rebuild
- imported package perl-DBIx-Class-TimeStamp

